<?php // utf8-marker = äöü
if(!defined('CMSIMPLE_VERSION') || preg_match('/content.php/i', $_SERVER['SCRIPT_NAME']))
{
	die('No direct access');
}
?>
<h1>Das Projekt SubsiteFuncs</h1>
<p>Tags zur Suchfunktion Demo: abcde cdefg</p>
<p>Seit CMSimple 4 kann man mit einer CMSimple Installation mehrere unabhängige Internetseiten in Unterverzeichnissen betreiben. Der Hauptvorteil ist, dass CMSimple und Plugins nur ein mal aktualisiert werden müssen, wenn es Updates gibt.</p>
<p>Es gibt aber auch immer wieder Anfragen, wie man einfach und ohne Programmierung oder den Einsatz mehrerer Templates mehrere Subsites zu einem Projekt zusammenführen kann. Genau diesem Anliegen widmet sich das Projekt SubsiteFuncs.</p>
<p>SubsiteFuncs wird als Plugin entwickelt, um CMSimple selbst einfach zu halten, damit es auch weiterhin seinem Namen gerecht wird. Vorerst sind folgende Funktionen in Planung:</p>
<ul>
<li>Subsites Menü (alle Subsites oder nur eine Gruppe, siehe Newsbox links unten)</li>
<li>Verschiedene Gruppenmenüs (Subsites werden gruppiert angezeigt, siehe Sidebar links)</li>
<li>XML Sitemap über alle Subsites (SEO)</li>
<li>Suchfunktion über alle Subsites</li>
</ul>
<p>Diese Seiten demonstrieren die Organisation eines CMSimple Projektes in Subsites. An dieser Demo sind 6 Subsites beteiligt, die 3 Gruppen angehören. In der linken Sidebar sehen Sie das Subsites Gruppenmenü, ganz oben sind alle Subsites in einem Menü zu sehen (Subsites Menü).</p>
<p>Die Menüs werden vom Plugin SubsiteFuncs durch einfache Plugin Aufrufe automatisch erzeugt. Welche Subsites "teilnehmen", wird im Plugin Backend festgelegt. Man kann also in so einer CMSimple Installation weitere unabhängige Subsites betreiben, die vom Plugin SubsiteFuncs nicht erfasst werden, z. B. CoAuthors Subsites.</p>
<h2>h2 Seite</h2>
<h3>h3 Seite</h3>
<h1>Warum Subsites?</h1>
<p>Tags zur Suchfunktion Demo: abcde</p>
<p>Subsites sind eigenständige Internetseiten, die in Unterverzeichnissen einer CMSimple Installation betrieben werden können, ohne dass CMSimple in diesen Unterverzeichnissen noch einmal installiert werden muss.</p>
<p>Die Aufteilung grösserer CMSimple Projekte in Subsites bietet viele Vorteile:</p>
<ul>
<li>Subsites schaffen eine zusätzliche Navigationsebene, ohne die Anzahl der Menulevels in der CMSimple Konfiguration zu erhöhen.</li>
<li>Subsites teilen die Content-Datei, dadurch wird CMSimple schneller, vor allem bei grossen und umfangreichen Projekten</li>
<li>Jede Subsite hat ihr eigenes Login mit eigenen Zugangsdaten. Die unterschiedlichen Subsites können also sehr einfach von verschiedenen Autoren betreut und gepflegt werden</li>
<li>Sowohl CMSimple als auch die Plugins müssen nur ein einziges mal aktualisiert werden, wenn es neue Versionen gibt, und alle Subsites sind technisch auf dem aktuellen Stand.</li>
</ul>
<p>Das CMSimple Plugin <strong>SubsiteFuncs</strong> vereinfacht die Verbindung mehrerer Subsites zu einem Projekt deutlich.</p>
<h2>h2 Seite</h2>
<h1>Die Menüs</h1>
<p>Mit <strong>SubsiteFuncs</strong> kann man schnell und einfach verschiedene Menüs erzeugen, mit denen Subsites zu einem Projekt verbunden werden. Dazu muss lediglich im Plugin Backend für jede Subsite, die von den Menüs, der Sitemap und der Suche erfasst werden soll, der Ordnername, der Menü Name und die Gruppe eingetragen werden.</p>
<h4>Subsite Menü</h4>
<p>Ganz oben auf der Seite sehen Sie das Subsites Menü in der Variante "fruits". Man kann per CSS problemlos weitere Designvarianten speichern und im Plugin Aufruf aktivieren. Diese Design Variante wurde speziell für diese Demoseiten erstellt und ist nicht im Download enthalten.</p>
<p>Beim Subsites Menü kann jeder einzelne Menüpunkt unterschiedlich gestaltet werden.</p>
<h4>Subsites Gruppen Menüs</h4>
<p>In der linken Sidebar sehen Sie ein Gruppen Menü. Die Subsites werden gruppiert angezeigt, die Menüpunkte kann man per Klick einzeln öffnen und schliessen.</p>
<p>Weitere Varianten des Gruppen Menüs:</p>
<div style="width: 48%; min-width: 300px; float: left; padding: 0 0 16px 0;">
<p><strong>Alternatives Subsites Gruppen Menü</strong></p>
<p>Dieses Subsites Gruppen Menü zeigt die Subsites gruppiert an. Wird ein Menüpunkt geöffnet, schliessen sich die anderen.</p>
<p><strong>Design:</strong> "boxes"</p>
<div>{{{plugin:ssf_groupsMenuJS2('boxes');}}}</div>
</div>
<div style="width: 48%; min-width: 300px; float: right; padding: 0 0 16px 0;">
<p><strong>Offenes Subsites Gruppen Menü</strong></p>
<p>Das offene Subsites Gruppen Menü zeigt die Subsites gruppiert an, aber alle Menüpunkte sind immer offen.</p>
<p><strong>Design:</strong> "default"</p>
<div>{{{plugin:ssf_groupsMenuOpen();}}}</div>
</div>
<h1>News01</h1>
<h4>Newsbox News01</h4>
<p>This box shows the content of the hidden page "News01".</p>
<p>More information about newsboxes can be found in the documentation on</p>
<p style="text-align: right;"><a href="http://www.cmsimple.org/doku/en/?Working_with_CMSimple___Newsboxes">cmsimple.org »</a></p>
<hr>
<p>Diese Box zeigt den Inhalt der versteckten Seite "News01".</p>
<p>Mehr Informationen zum Thema Newsboxen gibt es in der Dokumentation auf</p>
<p style="text-align: right;"><a href="http://www.cmsimple.org/doku/?Arbeiten_mit_CMSimple___Newsboxen">cmsimple.org »</a></p>
<h1>News02</h1>
<h4>Newsbox News02</h4>
<p>This box shows the content of the hidden page "News02".</p>
<p>More information about newsboxes can be found in the documentation on</p>
<p style="text-align: right;"><a href="http://www.cmsimple.org/doku/en/?Working_with_CMSimple___Newsboxes">cmsimple.org »</a></p>
<hr>
<p>Diese Box zeigt den Inhalt der versteckten Seite "News02".</p>
<p>Mehr Informationen zum Thema Newsboxen gibt es in der Dokumentation auf</p>
<p style="text-align: right;"><a href="http://www.cmsimple.org/doku/?Arbeiten_mit_CMSimple___Newsboxen">cmsimple.org »</a></p>
<h1>News03</h1>
<h4>Newsbox News03</h4>
<p>This box shows the content of the hidden page "News03".</p>
<p>More information about newsboxes can be found in the documentation on</p>
<p style="text-align: right;"><a href="http://www.cmsimple.org/doku/en/?Working_with_CMSimple___Newsboxes">cmsimple.org »</a></p>
<hr>
<p>Diese Box zeigt den Inhalt der versteckten Seite "News03".</p>
<p>Mehr Informationen zum Thema Newsboxen gibt es in der Dokumentation auf</p>
<p style="text-align: right;"><a href="http://www.cmsimple.org/doku/?Arbeiten_mit_CMSimple___Newsboxen">cmsimple.org »</a></p>
